unit lngsetup;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, langsupp;

type
  TLangSetupForm = class(TForm)
    Label1: TLabel;
    LanguageList: TListBox;
    LangSupport1: TLangSupport;
    OkBtn: TBitBtn;
    CancelBtn: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure OkBtnClick(Sender: TObject);
    procedure CancelBtnClick(Sender: TObject);
    procedure LanguageListDblClick(Sender: TObject);
  private
    { Private declarations }
    OldLanguage:string;
  public
    { Public declarations }
  end;

var
  LangSetupForm: TLangSetupForm;

implementation

{$R *.DFM}

procedure TLangSetupForm.FormCreate(Sender: TObject);
begin
   LanguageList.Items:=LangSupport1.Languages;
   with LanguageList do
      ItemIndex:=Items.IndexOf(LangSupport1.ActiveLanguage);
end;{TLangSetupForm.FormCreate}

procedure TLangSetupForm.FormActivate(Sender: TObject);
begin
   OldLanguage:=LangSupport1.ActiveLanguage;
end;{TLangSetupForm.FormActivate}

procedure TLangSetupForm.OkBtnClick(Sender: TObject);
begin
   with LanguageList do
      SetActiveLanguage(Items[ItemIndex]);
end;{TLangSetupForm.OkBtnClick}

procedure TLangSetupForm.CancelBtnClick(Sender: TObject);
begin
   SetActiveLanguage(OldLanguage);
end;{TLangSetupForm.CancelBtnClick}

procedure TLangSetupForm.LanguageListDblClick(Sender: TObject);
begin
   with LanguageList do
      SetActiveLanguage(Items[ItemIndex]);
end;{TLangSetupForm.LanguageListDblClick}

end.
